# Class Command

Describes a command to be executed by the WebDriverJS framework.

#### Param

The name of this command.

#### Hierarchy

- Command

#####
Index

### Constructors

constructor

### Methods

getName
getParameter
getParameters
setParameter
setParameters

## Constructors

### constructor

- new Command(name): Command

- #### Parameters

  - ##### name: string

    The name of this command.

  #### Returns Command

## Methods

### getName

- getName(): string

- #### Returns string

  This command's name.

### getParameter

- getParameter(key): any

- Returns a named command parameter.

  #### Parameters

  - ##### key: string

    The parameter key to look up.

  #### Returns any

  The parameter value, or undefined if it has not been set.

### getParameters

- getParameters(): any

- #### Returns any

  The parameters to send with this command.

### setParameter

- setParameter(name, value): Command

- Sets a parameter to send with this command.

  #### Parameters

  - ##### name: string

    The parameter name.

  - ##### value: any

    The parameter value.

  #### Returns Command

  A self reference.

### setParameters

- setParameters(parameters): Command

- Sets the parameters for this command.

  #### Parameters

  - ##### parameters: any

    The command parameters.

  #### Returns Command

  A self reference.

Generated using TypeDoc